/*
  Arduino KY-022 Kızılötesi Alıcı Sensör Modülü

  Arduino 37 parça sensör setinin bir parçası olan Kızılötesi Alıcı Sensör modülünün
  örnek sketch'idir. Sensöre gönderilen kızılötesi uzaktan kumanda verisini okur.

  Setin diğer parçalarının açıklama ve örnek kodlarına
  web sitemizden ulaşabilirsiniz.

  Oluşturma: 13 Ekim 2021 / Mete Hoca

  https://www.metehoca.com/
*/

int sensor = 2;        // Sensör pini ayarlanıyor

#include <IRremote.h>  // Gereken IRRemote kütüphanesi yükleniyor
IRrecv irrecv(sensor); // Kütüphane ayarlanıyor
decode_results results;
 // KÜTÜPHANELER NASIL YÜKLENİR?
 // Arduino IDE ana menüsünden Araçlar > Kütüphaneleri Yönet... ekranını açın
 // IRremote yazıp aratın
 // Armin Joachimsmeyer tarafından hazırlanmış kütüphaneyi kurun

void setup() {
  Serial.begin(9600);                   // Seri Port Ekranı'nı doğru ayarlamayı unutmayın
  irrecv.enableIRIn();                  // Sensör başlatılıyor
                                        // TV'nizin uzaktan kumandasını sensöre tutup
                                        // farklı tuşlara basarak sonuçları okuyabilirsiniz
}
void loop() {
  if(irrecv.decode(&results)) {         // Bir okuma varsa alınıyor
    Serial.println(results.value, HEX); // Okuma ekrana yazılıyor
    irrecv.resume();                    // Sıradaki okuma için hazırlanılıyor
  }
}
